import { Component, Emit, Prop, Vue, Watch } from 'vue-property-decorator';
import { logService } from '@/services/logging';
import { Measure, MeasureConfig, MeasureType } from '@/models';

@Component({})
export class MeasureConfigForm extends Vue {
  @Prop({}) public value!: MeasureConfig;
  @Prop({}) public disabled: boolean = false;

  @Watch('value', { immediate: true, deep: true })
  @Emit('input')
  private onConfigChanged(newVal: MeasureConfig, oldVal: MeasureConfig) {
    return newVal;
  }
}

export default MeasureConfigForm;
